Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Dec 2020 16:44:11 +0200

> Cc: Eli Zaretskii <[email-masked]>, Alan Third <[email-masked]>,
>  [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Thu, 17 Dec 2020 14:21:48 +0100
> 
> The (IMHO) right fix would be to have wset_update_mode_line add the
> frame containing the scrolled window to a list of frames the next
> redisplay should investigate.

That won't work without also changing redisplay_internal to consider
such a list.  It currently knows about just 2 alternatives: either
consider only the selected window on the selected frame, or all
windows on all frames -- and only the second option considers
non-window aspects (such as the frame title or menu bar) of the
selected frame.